%define oname stdio

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-%{oname}
Version:        0.17.0
Release:        %mkrel 2
Summary:        Standard IO library for OCaml
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz
BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0

%description
Stdio implements simple input/output functionalities for OCaml.

It re-exports the input/output functions of the OCaml standard
libraries using a more consistent API.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-base-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%check
dune runtest

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.17.0-2.mga10
+ Revision: 2250656
- Mageia 10 Mass Rebuild

* Fri Apr 04 2025 pterjan <pterjan> 0.17.0-1.mga10
+ Revision: 2173410
- Update to 0.17.0

* Sat Oct 08 2022 pterjan <pterjan> 0.15.0-3.mga9
+ Revision: 1895473
- Rebuild for new ocaml-base

* Thu May 19 2022 pterjan <pterjan> 0.15.0-2.mga9
+ Revision: 1859220
- Rebuild for OCaml 4.14

* Mon May 09 2022 pterjan <pterjan> 0.15.0-1.mga9
+ Revision: 1857160
- Update to 0.15.0
- Update to 0.15.0

* Mon Apr 04 2022 umeabot <umeabot> 0.14.0-4.mga9
+ Revision: 1843044
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.14.0-3.mga9
+ Revision: 1751006
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.14.0-2.mga9
+ Revision: 1697347
- rebuild for ocaml-4.2-12
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 0.13.0-0.4.mga8
+ Revision: 1670674
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.13.0-0.3.mga8
+ Revision: 1551665
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.13.0-0.2.mga8
+ Revision: 1545836
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 0.13.0-0.1.mga8
+ Revision: 1485305
- new release (needs rebuilding pkgs depending on it but needed for core_kernel)

* Sun Jan 26 2020 tv <tv> 0.11.0-3.mga8
+ Revision: 1483038
- rebuild for ocaml-4.10

* Thu Jan 23 2020 tv <tv> 0.11.0-2.mga8
+ Revision: 1482233
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.11.0-1.mga7
+ Revision: 1324482
- Update to 0.11.0
+ tv <tv>
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.10.0-3.mga7
+ Revision: 1299934
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 0.10.0-2.mga7
+ Revision: 1242056
- rebuild against current ocaml stack
- enable debug package as it should
+ pterjan <pterjan>
- Fix BuildRequires

* Sat Jan 13 2018 pterjan <pterjan> 0.10.0-1.mga7
+ Revision: 1192893
- Fix BuildRequires
- imported package ocaml-stdio

